summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabio Rossi <rossi.f@inwind.it>2017-02-25 01:09:46 +0100
committerFabio Rossi <rossi.f@inwind.it>2017-02-25 01:09:46 +0100
commitfeb52e1715d10d6028c2fc71b2c1a02247d21bb8 (patch)
tree1a09e58c9118cbfdbecb88e512dbd4f9c928435d
parentapp-emulation/vmware-modules: added support up to kernel 4.10 (diff)
downloadvmware-feb52e1715d10d6028c2fc71b2c1a02247d21bb8.tar.gz
vmware-feb52e1715d10d6028c2fc71b2c1a02247d21bb8.tar.bz2
vmware-feb52e1715d10d6028c2fc71b2c1a02247d21bb8.zip
Added latest version 12.5.2.4638234.
-rw-r--r--app-emulation/vmware-modules/vmware-modules-308.5.2.ebuild155
-rw-r--r--app-emulation/vmware-player/Manifest1
-rw-r--r--app-emulation/vmware-player/vmware-player-12.5.2.4638234.ebuild388
-rw-r--r--app-emulation/vmware-tools/Manifest6
-rw-r--r--app-emulation/vmware-tools/vmware-tools-10.0.10.4301679.ebuild58
-rw-r--r--app-emulation/vmware-workstation/Manifest1
-rw-r--r--app-emulation/vmware-workstation/files/vmware-12.5.rc44
-rw-r--r--app-emulation/vmware-workstation/files/vmware-server-12.5.rc55
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-12.5.2.4638234.ebuild599
9 files changed, 1307 insertions, 0 deletions
diff --git a/app-emulation/vmware-modules/vmware-modules-308.5.2.ebuild b/app-emulation/vmware-modules/vmware-modules-308.5.2.ebuild
new file mode 100644
index 0000000..75e0f06
--- /dev/null
+++ b/app-emulation/vmware-modules/vmware-modules-308.5.2.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic linux-info linux-mod user versionator udev
+
+PV_MAJOR=$(get_major_version)
+PV_MINOR=$(get_version_component_range 2-3)
+
+DESCRIPTION="VMware kernel modules"
+HOMEPAGE="http://www.vmware.com/"
+
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pax_kernel +vmci +vsock"
+REQUIRED_USE="!vsock? ( !vmci )"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ || ( =app-emulation/vmware-player-12.${PV_MINOR}*
+ =app-emulation/vmware-workstation-12.${PV_MINOR}* )"
+
+S=${WORKDIR}
+
+pkg_setup() {
+ CONFIG_CHECK="~HIGH_RES_TIMERS"
+ if kernel_is ge 2 6 37 && kernel_is lt 2 6 39; then
+ CONFIG_CHECK="${CONFIG_CHECK} BKL"
+ fi
+ if use vmci ; then
+ CONFIG_CHECK="${CONFIG_CHECK} !VMWARE_VMCI"
+ else
+ CONFIG_CHECK="${CONFIG_CHECK} VMWARE_VMCI"
+ fi
+ if use vsock ; then
+ CONFIG_CHECK="${CONFIG_CHECK} !VMWARE_VMCI_VSOCKETS"
+ else
+ CONFIG_CHECK="${CONFIG_CHECK} VMWARE_VMCI_VSOCKETS"
+ fi
+
+ linux-info_pkg_setup
+
+ linux-mod_pkg_setup
+
+ VMWARE_GROUP=${VMWARE_GROUP:-vmware}
+
+ VMWARE_MODULE_LIST_ALL="vmblock vmmon vmnet vmci vsock"
+ VMWARE_MODULE_LIST="vmblock vmmon vmnet"
+ use vmci && VMWARE_MODULE_LIST="${VMWARE_MODULE_LIST} vmci"
+ use vsock && VMWARE_MODULE_LIST="${VMWARE_MODULE_LIST} vsock"
+
+ VMWARE_MOD_DIR="${PN}-${PVR}"
+
+ BUILD_TARGETS="auto-build KERNEL_DIR=${KERNEL_DIR} KBUILD_OUTPUT=${KV_OUT_DIR}"
+
+ enewgroup "${VMWARE_GROUP}"
+
+ filter-flags -mfpmath=sse -mavx -mpclmul -maes
+ append-cflags -mno-sse # Found a problem similar to bug #492964
+
+ for mod in ${VMWARE_MODULE_LIST}; do
+ MODULE_NAMES="${MODULE_NAMES} ${mod}(misc:${S}/${mod}-only)"
+ done
+}
+
+src_unpack() {
+ cd "${S}"
+ for mod in ${VMWARE_MODULE_LIST_ALL}; do
+ tar -xf /opt/vmware/lib/vmware/modules/source/${mod}.tar
+ done
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PV_MAJOR}-makefile-kernel-dir.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-makefile-include.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-netdevice.patch"
+ use pax_kernel && epatch "${FILESDIR}/${PV_MAJOR}-hardened.patch"
+ epatch "${FILESDIR}/${PV_MAJOR}-apic.patch"
+
+ kernel_is ge 3 10 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.10-00-dentry.patch"
+ kernel_is ge 3 10 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.10-01-inode.patch"
+ kernel_is ge 3 10 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.10-02-control.patch"
+ kernel_is ge 3 10 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.10-03-inline.patch"
+ kernel_is ge 3 11 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.11-00-readdir.patch"
+ kernel_is ge 3 11 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.11-01-filldir.patch"
+ kernel_is ge 3 15 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.15-00-vsock.patch"
+ kernel_is ge 3 18 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.18-00-version-redefined.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-00-compat-namei.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-02-vmblock-path.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-04-iovec.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-05-vmci_qpair.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-06-vsock.patch"
+ kernel_is ge 3 19 0 && epatch "${FILESDIR}/${PV_MAJOR}-3.19-07-vsock.patch"
+ kernel_is ge 4 1 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.01-00-vsock.patch"
+ kernel_is ge 4 2 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.02-00-nd_set_link.patch"
+ kernel_is ge 4 2 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.02-01-sk_alloc.patch"
+ kernel_is ge 4 3 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.03-00-vmci-misc_deregister.patch"
+ kernel_is ge 4 5 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.05-00-vmblock-follow_link.patch"
+ kernel_is ge 4 6 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.06-00-user-pages-p2.patch"
+ kernel_is ge 4 7 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.07-01-readlink_copy.patch"
+ kernel_is ge 4 8 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.08-00-nr_anon_mapped.patch"
+ kernel_is ge 4 9 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.09-00-user-pages.patch"
+ kernel_is ge 4 10 0 && epatch "${FILESDIR}/${PV_MAJOR}-4.10-00-generic_readlink.patch"
+
+ # Allow user patches so they can support RC kernels and whatever else
+ epatch_user
+}
+
+src_install() {
+ linux-mod_src_install
+ local udevrules="${T}/60-vmware.rules"
+ cat > "${udevrules}" <<-EOF
+ KERNEL=="vmci", GROUP="vmware", MODE="660"
+ KERNEL=="vmw_vmci", GROUP="vmware", MODE="660"
+ KERNEL=="vmmon", GROUP="vmware", MODE="660"
+ KERNEL=="vsock", GROUP="vmware", MODE="660"
+ EOF
+ udev_dorules "${udevrules}"
+
+ if ! use vmci ; then
+ dodir /etc/modprobe.d/
+
+ cat > "${D}"/etc/modprobe.d/vmware.conf <<-EOF
+ # Support for vmware vmci in kernel module
+ alias vmci vmw_vmci
+ EOF
+
+ export installed_modprobe_conf=1
+ fi
+ if ! use vsock ; then
+ dodir /etc/modprobe.d/
+ cat >> "${D}"/etc/modprobe.d/vmware.conf <<-EOF
+ # Support for vmware vsock in kernel module
+ alias vsock vmw_vsock_vmci_transport
+ EOF
+
+ export installed_modprobe_conf=1
+ fi
+}
+
+pkg_postinst() {
+ linux-mod_pkg_postinst
+ if [ "${installed_modprobe_conf}"x == "x" ] ; then
+ if [ -f "${ROOT}/etc/modprobe.d/vmware.conf" ] ; then
+ ewarn "Please check the /etc/modprobe.d/vmware.conf file and"
+ ewarn "possible conflicts when using vmci and/or vsock modules built"
+ ewarn "out of kernel"
+ fi
+ fi
+}
diff --git a/app-emulation/vmware-player/Manifest b/app-emulation/vmware-player/Manifest
index d319473..7b32b9a 100644
--- a/app-emulation/vmware-player/Manifest
+++ b/app-emulation/vmware-player/Manifest
@@ -1,3 +1,4 @@
DIST VMware-Player-12.1.1-3770994.x86_64.bundle.tar 140697600 SHA256 4b2d6c8026f7948cbbc084ccfedaa899a897047152b86c8a2be1bf80fb935a8e SHA512 f00609a1e41355146c5a77732f2eb8f01d30c0ab7822840a29b9b84c01218d129b8e08349e2e6bbf0c900b826d3aba3b4026a61c6705564539ffff17652511ce WHIRLPOOL ee628665689ae03c70a11e3d34bb5ccf1b640ab14eaaed8f93dc4bd50329f9144e44163e83811ea5380fa8749c7196d64139c4809435094c173b39ec2c93b4fb
+DIST VMware-Player-12.5.2-4638234.x86_64.bundle.tar 137543680 SHA256 3f2820d7632fbd41c97950ad3094ff7529c709c4bb03ce05e20611a5b5642d04 SHA512 7bccbf8a8900c22c0cc8d9499b4eca38e9c2651d3d6e2666dcb8aca28282863c0cf1320be894aefa3d04e5af1bc96bc9e473c1562b57e3280e0348b0419ebcdc WHIRLPOOL 6b5c9c3d91b248e81d700fa6ebe466124345e5d1e85246c9afc46168f9d780d7a020dbdd7173543b4676eb717433d43a7a059ce09a26b035c14df5632ccddabf
DIST VMware-Player-7.1.2-2780323.x86_64.bundle.tar 211128320 SHA256 baa60996b3bed5ba89db1a0fd9a2cc263ea07ac1cf2d6f3aab68c728cc960efc SHA512 c4465a4cbf97b9fe3aa2d6a1c690047251a37929867e0b3cbddf6643b59ef8e618809973543150e6cd9a3bdba0c9c04fb55171616c2179a0ff80ee7302e07fc2 WHIRLPOOL f0bc539647a5f3838a486d62506881f752e426e2e7299b20f2828c285cb041c777f93f3d29627ff4187edfd92e43e37e70647828ce537adb67db0fe3e99fccb0
DIST vmware-systemd-gentoo-02.tgz 14064 SHA256 7ab23cb41bb8fbeca43bfd3baee35928731177620ae374ebb3b19b827d1a3210 SHA512 3a382bfd5f1eb2b218d8012588ea55c1f22786dba35a1fc0fdfdb4e40b05e0e735ed09c6961684f6442e863c3ed72024ce01f19113bbd9ca47c32e3f43c55f42 WHIRLPOOL dd7ac934584894f4a0ae86a9122080c49a4d09924011bc12dc1530ac6b5ee11fac6d55d6e5b306bb24d749a509236d3e39870b4d6b2ff5de37f6e54707ff8bb6
diff --git a/app-emulation/vmware-player/vmware-player-12.5.2.4638234.ebuild b/app-emulation/vmware-player/vmware-player-12.5.2.4638234.ebuild
new file mode 100644
index 0000000..b5866c4
--- /dev/null
+++ b/app-emulation/vmware-player/vmware-player-12.5.2.4638234.ebuild
@@ -0,0 +1,388 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils versionator readme.gentoo-r1 fdo-mime gnome2-utils pax-utils systemd vmware-bundle
+
+MY_PN="VMware-Player"
+MY_PV=$(get_version_component_range 1-3)
+PV_MODULES="308.$(get_version_component_range 2-3)"
+PV_BUILD=$(get_version_component_range 4)
+MY_P="${MY_PN}-${MY_PV}-${PV_BUILD}"
+
+SYSTEMD_UNITS_TAG="gentoo-02"
+
+DESCRIPTION="Emulate a complete PC without the performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/player/"
+BASE_URI="https://softwareupdate.vmware.com/cds/vmw-desktop/player/${MY_PV}/${PV_BUILD}/linux/core/"
+SRC_URI="
+ ${BASE_URI}${MY_P}.x86_64.bundle.tar
+ https://github.com/akhuettel/systemd-vmware/archive/${SYSTEMD_UNITS_TAG}.tar.gz -> vmware-systemd-${SYSTEMD_UNITS_TAG}.tgz
+"
+
+LICENSE="vmware GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="bundled-libs cups doc ovftool +vmware-tools"
+RESTRICT="mirror strip"
+
+BUNDLED_LIBS_DIR=/opt/vmware/lib/vmware/lib
+
+BUNDLED_LIBS="
+ libXau.so.6
+ libXcomposite.so.1
+ libXcursor.so.1
+ libXdamage.so.1
+ libXdmcp.so.6
+ libXfixes.so.3
+ libXft.so.2
+ libXinerama.so.1
+ libXrandr.so.2
+ libXrender.so.1
+ libaio.so.1
+ libatk-1.0.so.0
+ libatkmm-1.6.so.1
+ libatspi.so.0
+ libcairo.so.2
+ libcairomm-1.0.so.1
+ libcrypto.so.1.0.1
+ libcurl.so.4
+ libdbus-1.so.3
+ libfontconfig.so.1
+ libfreetype.so.6
+ libfuse.so.2
+ libgailutil.so.18
+ libgcc_s.so.1
+ libgcrypt.so.11
+ libgdk-x11-2.0.so.0
+ libgdk_pixbuf-2.0.so.0
+ libgdkmm-2.4.so.1
+ libgio-2.0.so.0
+ libgiomm-2.4.so.1
+ libglib-2.0.so.0
+ libglibmm-2.4.so.1
+ libglibmm_generate_extra_defs-2.4.so.1
+ libgmodule-2.0.so.0
+ libgobject-2.0.so.0
+ libgpg-error.so.0
+ libgthread-2.0.so.0
+ libgtk-x11-2.0.so.0
+ libgtkmm-2.4.so.1
+ libpango-1.0.so.0
+ libpangocairo-1.0.so.0
+ libpangoft2-1.0.so.0
+ libpangomm-1.4.so.1
+ libpangox-1.0.so.0
+ libpangoxft-1.0.so.0
+ libpcsclite.so.1
+ libpixman-1.so.0
+ libpng12.so.0
+ librsvg-2.so.2
+ libsigc-2.0.so.0
+ libssl.so.1.0.1
+ libstdc++.so.6
+ libxml2.so.2
+ libz.so.1
+"
+
+BUNDLED_LIB_DEPENDS="
+ dev-cpp/atkmm
+ dev-cpp/cairomm
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ dev-cpp/pangomm
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libgcrypt:11/11
+ dev-libs/libgpg-error
+ dev-libs/libsigc++:2
+ dev-libs/libxml2
+ dev-libs/openssl:0
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2
+ net-misc/curl
+ sys-fs/fuse
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libXau
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/pango
+ x11-libs/pixman
+"
+
+# vmware should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="
+ media-libs/alsa-lib
+ net-print/cups
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXtst
+ x11-libs/startup-notification
+ x11-themes/hicolor-icon-theme
+ bundled-libs? (
+ media-libs/tiff:3
+ x11-libs/libICE
+ x11-libs/libSM
+ virtual/jpeg:62
+ )
+ !bundled-libs? ( ${BUNDLED_LIB_DEPENDS} )
+ !app-emulation/vmware-workstation
+"
+PDEPEND="~app-emulation/vmware-modules-${PV_MODULES}
+ vmware-tools? ( app-emulation/vmware-tools )"
+DEPEND=">=dev-util/patchelf-0.9"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+
+QA_PREBUILT="/opt/*"
+
+QA_WX_LOAD="opt/vmware/lib/vmware/tools-upgraders/vmware-tools-upgrader-32 opt/vmware/lib/vmware/bin/vmware-vmx-stats opt/vmware/lib/vmware/bin/vmware-vmx-debug opt/vmware/lib/vmware/bin/vmware-vmx"
+
+src_unpack() {
+ default
+ local bundle=${MY_P}.x86_64.bundle
+
+ local component; for component in \
+ vmware-player \
+ vmware-player-app \
+ vmware-player-setup \
+ vmware-vmx \
+ vmware-network-editor \
+ vmware-usbarbitrator
+ do
+ vmware-bundle_extract-bundle-component "${bundle}" "${component}" "${S}"
+ done
+
+ if use ovftool; then
+ vmware-bundle_extract-bundle-component "${bundle}" vmware-ovftool
+ fi
+}
+
+clean_bundled_libs() {
+ if ! use bundled-libs ; then
+ einfo "Removing bundled libraries"
+ for libname in ${BUNDLED_LIBS} ; do
+ rm -rv "${S}"/lib/lib/${libname} || die "Failed removing bundled ${libname}"
+ done
+
+ rm -rv "${S}"/lib/libconf || die "Failed removing bundled gtk conf libs"
+
+ # Among the bundled libs there are libcrypto.so.1.0.1 and libssl.so.1.0.1
+ # (needed by libcds.so) which seem to be compiled from openssl-1.0.1h.
+ # Upstream real sonames are *so.1.0.0 so it's necessary to fix DT_NEEDED link
+ # in libcds.so to be able to use system libs.
+ pushd >/dev/null .
+ einfo "Patching libcds.so"
+ cd "${S}"/lib/lib/libcds.so || die
+ patchelf --replace-needed libssl.so.1.0.{1,0} \
+ --replace-needed libcrypto.so.1.0.{1,0} \
+ libcds.so || die
+ popd >/dev/null
+
+ # vmware-player seems to use a custom version of libgksu2.so, for this reason
+ # we leave the bundled version. The libvmware-gksu.so library declares simply DT_NEEDED
+ # libgksu2.so.0 but it uses at runtime the bundled version, patch the lib to avoid portage
+ # preserve-libs mechanism to be triggered when a system lib is available (but not required)
+ pushd >/dev/null .
+ einfo "Patching libvmware-gksu.so"
+ cd "${S}"/lib/lib/libvmware-gksu.so || die
+ patchelf --set-rpath "\$ORIGIN/../libgksu2.so.0" \
+ libvmware-gksu.so || die
+ popd >/dev/null
+ else
+ # if librsvg is not installed in the system then vmware doesn't start
+ pushd >/dev/null .
+ einfo "Patching svg_loader.so"
+ cd "${S}"/lib/libconf/lib/gtk-2.0/2.10.0/loaders || die
+ patchelf --set-rpath "\$ORIGIN/../../../../../lib/librsvg-2.so.2" \
+ svg_loader.so || die
+ popd >/dev/null
+ fi
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+ # Bug 459566
+ mv lib/libvmware-netcfg.so lib/lib/
+
+ clean_bundled_libs
+
+ DOC_CONTENTS="
+/etc/env.d is updated during ${PN} installation. Please run:\n
+env-update && source /etc/profile\n
+Before you can use ${PN}, you must configure a default network setup.
+You can do this by running 'emerge --config ${PN}'.\n
+To be able to run ${PN} your user must be in the vmware group.\n
+You MUST set USE=bundled-libs if you are running gcc-5, otherwise vmware will not start.
+"
+}
+
+src_install() {
+ local major_minor=$(get_version_component_range 1-2 "${PV}")
+
+ # revdep-rebuild entry
+ insinto /etc/revdep-rebuild
+ echo "SEARCH_DIRS_MASK=\"${VM_INSTALL_DIR}\"" >> ${T}/10${PN}
+ doins "${T}"/10${PN}
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # workaround for hardcoded search paths needed during shared objects loading
+ if ! use bundled-libs ; then
+ dosym /usr/$(get_libdir)/libglib-2.0.so.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libglib-2.0.so.0/libglib-2.0.so.0
+ # Bug 432918
+ dosym /usr/$(get_libdir)/libcrypto.so.1.0.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libcrypto.so.1.0.1/libcrypto.so.1.0.1
+ dosym /usr/$(get_libdir)/libssl.so.1.0.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libssl.so.1.0.1/libssl.so.1.0.1
+ fi
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ if use cups; then
+ exeinto $(cups-config --serverbin)/filter
+ doexe extras/thnucups
+
+ insinto /etc/cups
+ doins -r etc/cups/*
+ fi
+
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ exeinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doexe vmware-config
+
+ # install ovftool
+ if use ovftool; then
+ cd "${S}"
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-ovftool
+ doins -r vmware-ovftool/*
+
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/{ovftool,ovftool.bin}
+ dosym "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/ovftool "${VM_INSTALL_DIR}"/bin/ovftool
+ fi
+
+ # create symlinks for the various tools
+ local tool ; for tool in thnuclnt vmplayer{,-daemon} \
+ vmware-{acetool,modconfig{,-console},gksu,fuseUI} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+
+ # fix permissions
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,launcher.sh,mkisofs,vmware-remotemks}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/wrapper-gtk24.sh
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/libgksu2.so.0/gksu-run-helper
+ fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
+
+ pax-mark -m "${D}${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ use bundled-libs && echo 'VMWARE_USE_SHIPPED_LIBS=1' >> "${envd}"
+
+ doenvd "${envd}"
+
+ # create the configuration
+ dodir /etc/vmware
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${MY_PV}"
+ product.buildNumber = "${PV_BUILD}"
+ EOF
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-${major_minor}.rc" > "${initscript}" || die
+ newinitd "${initscript}" vmware
+
+ # fill in variable placeholders
+ if use bundled-libs ; then
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}} || die
+ fi
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -e "/^Encoding/d" \
+ -i "${D}/usr/share/applications/vmware-player.desktop" || die
+
+ # install systemd unit files
+ systemd_dounit "${WORKDIR}/systemd-vmware-${SYSTEMD_UNITS_TAG}/"*.{service,target}
+
+ readme.gentoo_create_doc
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+ readme.gentoo_print_elog
+
+ ewarn "${P} is using an old version of libgcrypt library which"
+ ewarn "is going to be soon removed from portage due to security reasons"
+ ewarn "(see https://bugs.gentoo.org/show_bug.cgi?id=541564)."
+ ewarn "Until vmware is fixed upstream you're exposed to security issues!"
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/app-emulation/vmware-tools/Manifest b/app-emulation/vmware-tools/Manifest
index 79d00b8..58d325e 100644
--- a/app-emulation/vmware-tools/Manifest
+++ b/app-emulation/vmware-tools/Manifest
@@ -1,3 +1,4 @@
+DIST vmware-tools-freebsd-10.0.10-4301679.x86_64.component.tar 15349760 SHA256 8fe9157c355c53d00a0a8eb794a48a6fa881051f4955fa7ec10748d7af61db39 SHA512 1fb1e71e7eca053ae970c9c2e6243c3f93c41f1859cee731a095139093543ee560695323dada96fcdf0ee44d581e1b9f340c519a48c32988dfa2486649f84e70 WHIRLPOOL 80dce55280e7be0d8a466d47779f2503b1fbbbaf7c6df9641f76ff0314534cf39965557e639b24aee762e87fe113848f44f5c8594bb3be343f094e393af07864
DIST vmware-tools-freebsd-10.0.5-3228253.x86_64.component.tar 15349760 SHA256 14cc57924327bec553804cf601e561465acdd0b01299dbedc89bf0e63ea8bcee SHA512 3b7fabb26b6a0aeaa05603b8635166a1f4fad223b90e4564f6656f158a9bb47171dc023c3b83698d1cb114b0517acf82054767a99336b3e5ded1f2d702bb4e3a WHIRLPOOL bb6c808019c294861064d8b358c01e11ccad03db6b4548a5979f5680bd3cfa4b8b1227fca95a0e6756af4626b428e377aae04cc190f6280751a8a5585ccb5edf
DIST vmware-tools-freebsd-10.0.6-3595377.x86_64.component.tar 15349760 SHA256 550948fc344afe30dd7b30cfa7dea82ef6a4823b2728ffea6b1d3e483ea1eb86 SHA512 af323adc9f60fca2069ad680758843febe727fc31abd96b95069d3f725d340159d202e87ff7481475d2cebfc76ee09b2d32a2f047d8a265f0f5645a56770d2e3 WHIRLPOOL 72954349e1a14fba734482bbc7d4489107703b394504f7bf079b8563e970e16f5fe3093aa7307c690492cf70c7766645439e03d885994316bb33509f8959aca2
DIST vmware-tools-freebsd-9.6.5-2700073.i386.component.tar 15216640 SHA256 d900d0ee4f9f185f1914f80cb9b0a7df8fcf027e1009def7c2b81a7ac15e5d0b SHA512 5e070544e85137b7f032e2c1e4567233adadac274abc727b4dcfdfdddd455bc5f080499b306c6bdf7e5bbe17f6610fdece1c2ef541d5b89081ec5d342145071e WHIRLPOOL 1cc29331cefb25628425553707b8c8572eddc1b208856eac409d0123901918677d95fe82cc6028f0debcd7b28a8d524e1f29357b399629c30653eced80d12a7b
@@ -6,6 +7,7 @@ DIST vmware-tools-freebsd-9.9.2-2496824.x86_64.component.tar 15267840 SHA256 923
DIST vmware-tools-freebsd-9.9.3-2780323.x86_64.component.tar 15267840 SHA256 9f0c62ff9ec11b6920b7eed08a60f445b2e39f98408d74e290789ff405f7a8cf SHA512 ab0a97ae7ab5b6762fdba067606725f00eaa0917e209a5f84852c6ea154e24639cc488f9c9bd6e215d2b0048fdff8ee1adbd1292015eb3712811f54459d7c316 WHIRLPOOL db81fb392d8800c8e2a0fe5f883fd88810ea88b927f9e66a17758d0c864059dcac1f1a0bcaa1a135e0d9b300798185710ab3fffa4cd82e264a73d6e0bba21d1e
DIST vmware-tools-freebsd-9.9.4-3206955.x86_64.component.tar 15267840 SHA256 83206e70e79749f7fa50a26930046c58061b538e3b912d2270a93ee400c5a365 SHA512 3112c0cb5ff2cd6a2309f6bdf51bfccee5e1a8dc01910239a30adbdd516c7f9838133d245a3fd0c95eb909e9fe9b8df0b89135adeb90d5bd4843ddc2db7782ff WHIRLPOOL 29f36ad06ecd4cb7f9faa91924cb7a756cea9c18faf8fff67c0bbc1be10a8a1145724375f09467fefa1a41bd7f6f9196698806833ee105c6a86dd49910260b40
DIST vmware-tools-freebsd-9.9.5-3848939.x86_64.component.tar 15247360 SHA256 13ed234ff002652b4bd46b56617c4ae88211cdf4303ab9868b3204915ba7cb14 SHA512 b9061bbd9ef1411f1372a8d371863ac84e294ffa340853690759783717a1bb31ea77c272ae83d7e203aaba3a4e093231e96d477ba6a8213b28eb18920b66570e WHIRLPOOL 73849afcf5acf1071c2e4911a5e20051907e8a1b02dbf3a7fbbbd5fb0426f501323a56daf7226e6956cbc68b541d1fb65f23da3a02ba10c25455e9de285afbb3
+DIST vmware-tools-linux-10.0.10-4301679.x86_64.component.tar 72202240 SHA256 2c8d96df606bf88f01b51bafa34e4359f57c05a282867a77c5f71457d24b921f SHA512 d22087b3bd88346a866581808be4cbcb351dbeffac70e858e98b9f6eebf52653c9500b4e71518d5423d44133d5d0b70a519c76bb51b1ad5ce07a0ea51c7598ee WHIRLPOOL bb8641de3230479788c74af17e09841c194b5a6337b3597c64df7f28ae681297c0eb2f383ffa8558f0511d976145c7691fe1a59dec346f7ed8b7357504d50365
DIST vmware-tools-linux-10.0.5-3228253.x86_64.component.tar 72038400 SHA256 bdc01737a53ec49998fa7195ed74a5beeefe9ab18ace195a8ed4d79a311351e7 SHA512 6b087a02b925e146c319f561f6e2e4b712113137672dff508f247fe1389b6022a1cc067c22bb33269f6fa97f66e1d38aed5c2c72dc3cc2a8a3f5c7b2d3b259b2 WHIRLPOOL 8c73f475a1f31fe20ae3c52dd685fb2dbe5573be702e9cd8114ca8c68d2232dbd5a678f5925a7ca47f0f4adf028ebcbe6a9adf870bf13511c4db2b9e6e039746
DIST vmware-tools-linux-10.0.6-3595377.x86_64.component.tar 72099840 SHA256 ca24a954e6f636abdf38cc14e6d668ef0b40ba07707701c21fc88eea640a9ba1 SHA512 33c3815e1f70a663090adeb00f5a5c58d06146bca95181bdaef30dd19b09b38f8441cb1722fd882eb7c83436a963843d12d05cd57767a7b6514fd5bcc69d939a WHIRLPOOL c465dafba0e9d716d02e0795c38dfad5c163398675c886a7c60059c57114543ab04dc26e4f5af56d867dcd0cc272409fef4b391408a413feac29d06578726199
DIST vmware-tools-linux-9.6.5-2700073.i386.component.tar 61337600 SHA256 aad21f54da7bb37169dc85fd84062f3976618ce63034c6785235bd6d5aa580f4 SHA512 133c4958d904755ef9a4fdc13ea686aa69b325301c435a8cf7ea77a246a072099864c3b3654d5ad35bfda2b849d3c0e31afdc8654959f0ca2df07c9d822bf9f7 WHIRLPOOL 66ceb444996985f264892d7bbee5ab8a7122796691fedf321e108e1bc81c54646ca3fe325688f4824ef781e7f9ae7058d4f440e2f0219bd58c985195eb9332b2
@@ -14,6 +16,7 @@ DIST vmware-tools-linux-9.9.2-2496824.x86_64.component.tar 62044160 SHA256 3b08d
DIST vmware-tools-linux-9.9.3-2780323.x86_64.component.tar 62095360 SHA256 6ed266ef888c8fd9a9f0d49083767f525b03bb2725d241c048308e8660b67254 SHA512 af12a60a70727db6ff98bfcc1693eda8c78fc09f3c5769eb42cd2ddfc36b6ae411309414d922d6fbcbfddab7875822a57d1bbe4afe2e00afd6afc09c8d959d89 WHIRLPOOL b46ef6bd824758bd2c4fdf8b3934a99baa23a4c2c6b9728a9ff464363c8c31050ffbe1392470191514f50d2f1ac208092f5d789e8cde1681d317636cce87d1b3
DIST vmware-tools-linux-9.9.4-3206955.x86_64.component.tar 62085120 SHA256 d1482b6c78f5a7bf5820b174fe5fdd6f0fcaa3ed66c12eefa32e6b59358c376c SHA512 4c2b64b399a802fc1f7ef13878d0c8772507c971d5f515c6323e29a65b6d6fcb27ed48996ad5c6db0ff4d9a19db597b6d8b2eb1c3292cacd47cba9db5c65ef5f WHIRLPOOL 2ee2ad16b108aedf106f5dc017a08859505229734e4b87f81714c436f2fe43469acf6e41bd88473325d67c8396ea4330e7eb4141581da988bd2636ee153eadb8
DIST vmware-tools-linux-9.9.5-3848939.x86_64.component.tar 62310400 SHA256 f82ee1d2eeb9a3d95af9d888a9ef72ca629cb6bc666d1d280b1932237a751997 SHA512 f1e972a0b509b774844343eec347f06655473a2d5c722631f41c837757ff9a7f9599fd684ee162252be82770236da8e6b6abea154684ed897c403c5d50bcba4b WHIRLPOOL b67a61d6dde78f8713f236317a79160ddc5fc2c1955e20744ecf2ab4c800b50e01bc7104f733049a678163edf80fd2dbc621e78184f8c7d76326c780da88eea5
+DIST vmware-tools-netware-10.0.10-4301679.x86_64.component.tar 81920 SHA256 abba14826162a4b102a253ceabac2838d58e66b7bd0328efc60939856659b993 SHA512 ef1764d01af38703b4fcb2705d492ec99b6c0cd886ba6618e856c5c3c0a3d8431fc2c4478f872651440c8ebb3fdaac837087f843f332861652e0d663f3f1e46a WHIRLPOOL 401a71b2297ebb9d263d5639a4738cd42b6a2262ff6bc2a4a141d5ba995b51d31139f5d8aad2c2f9b7a1680553a461d07d84cb65ceb4cb7bbb9c8d0526c72114
DIST vmware-tools-netware-10.0.5-3228253.x86_64.component.tar 81920 SHA256 897565e9cf18c9531d153843610e524c6ec390c6cccc10d670a9684a16127ed5 SHA512 0e2469f7312736f75bc985313675501c6973fa8bb4cc20669fbd086432d8a49e128ca007b1b87a14f94adc751a017cd1ba5c8cd0a18fe1d30451c019293bd906 WHIRLPOOL d5e18eabc933fa18ea1f08dcbac9ef77b443f51a56defe29e0c6399741af53ad24fa3bfd434ea7b41c0adeeb8bebe45b9a80e8379ef5e1bd2f3ef02dedbaeac2
DIST vmware-tools-netware-10.0.6-3595377.x86_64.component.tar 81920 SHA256 1522ed88a1ca11cd803f08adcd4d48a9aef69a5a85308f3ac4db616f515a3c84 SHA512 b3a1bfe9fe2bfa5a394b90986c271b5441096724df7b3dec0a0bd7e7d64f42673f2966d987cdd40cf5729d4cd312b8ae42491278fb945cea88821041fae135b1 WHIRLPOOL 1b3271ea925495f553feb70c5ffebac4cb1c3238c8771c578839b4160cdbdf3612fef8e4f4fe8908ae47f574b1ae24db2f18e0e7a9f72c46c0b7d5be90861d45
DIST vmware-tools-netware-9.6.5-2700073.i386.component.tar 81920 SHA256 5ec311062c98a8bd86fa86d2b762b89ad2642c0ba7d95f8d42734c43f3dc7139 SHA512 d5ad09faee4fc5e4d3e9f5ab0423dc4a28cd316b70193277dfc4e26b8daef372af4ba3e9994ed488a6a051ab4f0e2980f6e8a1ab0b911f7f93d29556d3826617 WHIRLPOOL a911c63efece39e149f4086cfdd8e5c29adce1f2553481328988bc946ab6c6653033f967b7f8970c3b859bb245c57e4d70a432bda3a618da9c5b740f8303e24b
@@ -22,6 +25,7 @@ DIST vmware-tools-netware-9.9.2-2496824.x86_64.component.tar 81920 SHA256 a59093
DIST vmware-tools-netware-9.9.3-2780323.x86_64.component.tar 81920 SHA256 51ae6356bf0e28ef074f3e64363e1a360018f9be44f33ab6928e532f8f90af9a SHA512 9eadd29b6329eceaa4d90084d80bb635a46f0830420e947398391735935b626bef8d20dd8ec473c18d423c06cf4cf7a51ac77e2a2c95f9f417c7c73b08e100c6 WHIRLPOOL ce3d82023b378acf48efe3073e79ee272a8e3e36ff5cdee742870b7230ecfbcb8b3b2db7d8a7081e547176aae16f1e2df914593bdc2be4bb29e5ac1301158eae
DIST vmware-tools-netware-9.9.4-3206955.x86_64.component.tar 81920 SHA256 b95be3085178f75eb8b3f69a4c5ca8e4418615e72f42f3b254b3571f8b8e72d5 SHA512 758496e9cae854d02badec3474edeb7e53b4604edd5f1c84216d3488d8f65763a97840a4db023bb7513c91bb3c44d03a8fa67d4435cf6ccb16679ab995ee4159 WHIRLPOOL 4974e17b438633afd5a8046369dd1d935b6587a40d1e1e4bd378606a13914310f8f4e60d084a3ab735b510d8b13403afb41e078235227ce269786d54d0fabc64
DIST vmware-tools-netware-9.9.5-3848939.x86_64.component.tar 81920 SHA256 8f8d83d9aaa7c22a34844b950727d2440ffaa9ecfc08c927cd8d11ced380f894 SHA512 2cd18f450a8bceab427bd52e6969155b5de58a8f9ffbf6094fd1379556ad987be20c0c08a6181dabd6e033d7e750e2527f63bec39efd86e997ee0712e0ebb6f7 WHIRLPOOL 8e8acb0fa7262bb405259a9a9e8f833bc7708a4b248a49186d03f26afe4bb60164c67d4b3a98be8da83c9e0af02b12238780af44d7810bd3388bc6241d448492
+DIST vmware-tools-solaris-10.0.10-4301679.x86_64.component.tar 12810240 SHA256 71fbf1db88dbacab381e0ad4f9fce4c5edcc9eebaa2cdfd1c20199811b63448a SHA512 3890830bda464dea0b8e118e4a35f7ac7cc3062abd305c0090b6cd65dbc7d4ca1160deedd6e4906223ed44ec5b65ff2e719dc1c0dcf529babc082881e54b7bd8 WHIRLPOOL 667adec430d1dcb22d095078a0494324d820a8856129ddf099868682369cb0ed721280ea5a364a8667ab832c8cdc403bb27aa1350075d3bc2d5f5efafec53439
DIST vmware-tools-solaris-10.0.5-3228253.x86_64.component.tar 12800000 SHA256 c4fc2137808dc1c099185950cc92c6b0e4c22743468c27f3d7148b7e55757ca8 SHA512 4caebd4d4c4ca7c0526830fd8eadfdfceea0cdd21d2f832edb12c48adb5ed82de7eef1c155dec1a167747f1550580e74f202c741a38e87c58058e180f4c6c610 WHIRLPOOL 7f28ff039058cfc74a0666855715ca8837e855333cf7c812433566f937762262f689e0d690caca54af271ef1f5cf427d228b1ecba4c506b2dceca33b342e948a
DIST vmware-tools-solaris-10.0.6-3595377.x86_64.component.tar 12800000 SHA256 93f43bee9e5ca273d7dabfdc36bacc6a9ce387dd649cbf62d7a772f8627aec28 SHA512 7e2eae371f6f88a101423a5d987af0b96665227c0fe188252f9215fa87eb6f0d3ce2673658b80b6a3b6fcb5ce89197844608111c725ca776598a6edc5d9f961b WHIRLPOOL a11f117ce1a1ea8ef5d5065daf5fb474216faf2f4a568ea3357b5d11f856305f8e5568ff561820edd80998885d9c37e2309da9f4b106f77bb88c6fe7b4143e11
DIST vmware-tools-solaris-9.6.5-2700073.i386.component.tar 12830720 SHA256 dfff56bd05aea2f732d893be9bd7b52d5b0a3f4f993bb8a275a429fabedd03d5 SHA512 e5c51665119fce5655cc24cc6ff5815250cd291ab7216eaa5eba6056b70e31734c111ae33189c4cb78c9f95336141f012c35c61cbf1ac2887dd264af8e5d7823 WHIRLPOOL 6429b2ed61a1ecba0ab290a9e37c642350782f257364b984abdda3b448e0b11996c0c1c909811620074b1b18a1206cc5f7a6872765766b3d0dcb2d1a978cc784
@@ -30,6 +34,7 @@ DIST vmware-tools-solaris-9.9.2-2496824.x86_64.component.tar 13015040 SHA256 af2
DIST vmware-tools-solaris-9.9.3-2780323.x86_64.component.tar 13015040 SHA256 5ab7c353c8d73be85f756d34deaf5da7aa30a15a4d60f8c22565826d97d3f401 SHA512 8d9b1fe9f02a28da0cefc79d96accb0617a08928bed4189d00abe9f9424e83a28e06ca772c50ea7e4d14ac7f4d6a51b9e3e017b8d9cb5400811d8e2a05d470ea WHIRLPOOL addf9abb4cb07e2e015cdb5c2209dbc9b2371b712772dd337c577e3a7c83c2bc2fcbe468395b551c8b44d2366d0c12be74d76a513f4f690643dd0cbc6a74e57c
DIST vmware-tools-solaris-9.9.4-3206955.x86_64.component.tar 13015040 SHA256 3dfb5754640c100ae7047573be1b20f83e395e99592313e0f168f62a9a947163 SHA512 d56f859037aa5c9081ae036c719dd97e4ae2c20b65bd9d0670b189b030778058999f90656bc6ebe752ef2f22d43458752764cace8441bbfbb1086187dcaa2be3 WHIRLPOOL bd4464dc630ea0c2f310200a80d54171f60fc872fc83007672c4cd5d912db090a535ef46cb0c86931da9dfd44929850a0f8aee14f909d5b5512278cf90e8f27e
DIST vmware-tools-solaris-9.9.5-3848939.x86_64.component.tar 12718080 SHA256 4bf5da579a37e943c3478f98ddf35f7f6d3be1af4ede8c066660f3ed7e3940f4 SHA512 60259acfea19e82fcaf7130be85d800909f4317f5b83a1d419ae85981bd4ace208b99aa9c4869715857ab948a3144d15c442e0625934147432862ed247fb02a8 WHIRLPOOL 18adcd57be29f1471231940db394324752f3c26ba87d8c40b33522e138c05d4f26275d05738834598877bc626d7a3598741dceb66716ffdb0776d73f94ae58c1
+DIST vmware-tools-winPre2k-10.0.10-4301679.x86_64.component.tar 11530240 SHA256 fc58cb825a47826d2b0dd3fddec371cd7f2768e144234e6a017d7545d5068c7b SHA512 9b901d73506549707c8240a797e531928dab941baf595603a511c3205d74e4fc9bc9872070580013067c93ec286ccf0d4f948bc90b02c8886e5d73ee8d289858 WHIRLPOOL 13f4da54481725d912710d99b75e2e3607047866cbe5550b0093dd0964b85ea0de39104c2bd63ff22146ba32b5855a86613c3412235285a938280abf33ecc841
DIST vmware-tools-winPre2k-10.0.5-3228253.x86_64.component.tar 11530240 SHA256 9719a09f8630b685fbf44e9eee89ea0855dfedc70ccc8ca212bf42102b41b4e0 SHA512 b120d88ab8483383f258f54299daf3c2893ae6df96262fbe40a8e29390b5bca1978b6be1a8dafc46f2a72ec0bd8fe0d17469538e09f5c4527ae664e9331d2d1c WHIRLPOOL fc0e2668951a18a7345f13ba7ce0a7caab3431d8481e7dfe3f7affd31a9136445eeb84a24ed6864ed314a18f142709e1a169059b6e94e165b73bfb9c9dde0e77
DIST vmware-tools-winPre2k-10.0.6-3595377.x86_64.component.tar 11530240 SHA256 f5695f14340656d931953774dce585b5ca2a65ed48ea6c848b7dd8c67133b586 SHA512 00dcaf095b63ab0b537f920ae1d56004c642805c473528fd4f3f70217cf3d28c11eb3e6afc93799503563afa213ac540c416c1707aafc7825b470183b9cc0dc1 WHIRLPOOL 15f9b8e2685d46df4f690038a3b2dc856580fb5185aa54773f41e89d6563575ebec4ea7c0346a3a0401c4ab61f278a47224109ed7a725b71273e7f1f3ca2c393
DIST vmware-tools-winPre2k-9.6.5-2700073.i386.component.tar 11458560 SHA256 8b381b1c787466a96bf0f9536df05f58aa62c5c10d6fdeaedd136c6a49e09b8c SHA512 17bcbc4aa84e5e212732860cf34d4c4d8b4c806bd137b497e6dab9f023cf26af5a43a83f6f4d30f9d6e7df87f85b7a33e8ab0626c56450ea024b17e45ab1e1db WHIRLPOOL c3b45bbf5cc49f8b9dd64517dbd9e258ae60de59ea6beeed0b88745f7ba8beef1da9cba577d7829fa25dccf2c51ca919f36db5e7c141e7a4e1d62abe5b9fd187
@@ -38,6 +43,7 @@ DIST vmware-tools-winPre2k-9.9.2-2496824.x86_64.component.tar 11530240 SHA256 af
DIST vmware-tools-winPre2k-9.9.3-2780323.x86_64.component.tar 11530240 SHA256 5615f563e42b090a87e30423d5e930fc39712bd9bcf597a83b8df85341e0f563 SHA512 904c9323903f25fc1ffec2e0e7c21c7af9928b408a26e0d4e800597b134643e838a312f44b6600244cb3a855f025912384e10b4bc8f362ae7732216ea8ce642f WHIRLPOOL effa090a63d488738f0a17bf164b0594a33a7a5905d317d08589e1e3467783ac674b07b294a8678c3dbbb0ec6e8c784da74b3e3dd61b9b55e4a1bc4794cbdd8a
DIST vmware-tools-winPre2k-9.9.4-3206955.x86_64.component.tar 11530240 SHA256 58956405bda8c1eeda43dc22b5bbd9e077cc653f6b4bc2ff1bf0dc071152b2a6 SHA512 6394d73f0258bb831d52e4202ddded8173d3c0dbba3a5686f0eae362196a59b5fd7e9d40403483f7bffa90ab3d6daee340a86d69e9a9b5beb278e17b1c98f8e0 WHIRLPOOL a0620f05d8f6b9acdfdaf462a2718888e31e738c332aa189c367f277403c9a6e038eea0386f1ec4b8a9e9e5671a3e51bb67c7dc80d42f2f05b5244ed5ae79e04
DIST vmware-tools-winPre2k-9.9.5-3848939.x86_64.component.tar 11530240 SHA256 f639c6a29b8f69e0ca6867ecd773bb82c81672c2ccf1a9b8c7fc565fd913dbb1 SHA512 953748c71bc823a92807f6831f1d4f85fcae2ff2fdfb6b39ec88db909eeafb15d5bab13707a7f4b4b93fbbb36ae3a171e12bba706e5ca13effdc0f7ae960d956 WHIRLPOOL 0cabbc54af81ce726dec64a50902e7209a9595ccca802ad8f28aba7794cebca5e17f0fe03ceddfea22cfa09cf1224c4cb00ad5e498a00000a97f771763ae012a
+DIST vmware-tools-windows-10.0.10-4301679.x86_64.component.tar 94023680 SHA256 d905d0251002804d190c228c41ccb25d9ec2d1cd8f93b0768b8292c9f25d89d3 SHA512 a5153a9ef9d829b2edf5996e1e17ecd99b7a5ad1279f7acf530eb50ac56f758c5c7e11f34b061450d14feb4d7cdf21fdbf21499076b3d52a7ebf05a99346e1fe WHIRLPOOL 2bba91a05979b701331d91cf72169bef09274f077c717c8391eb510475c27b07eb2710c57f8ff92f1908634c96c123cbf71e1a2576d7b6bcf759af17e1fa5a31
DIST vmware-tools-windows-10.0.5-3228253.x86_64.component.tar 90511360 SHA256 6d1bf0cb3e5f8f840a2f69ed61392b81a7c362d470e99bbae58a623255450244 SHA512 c9b797b9b563175978f714b923502fd14fc471d6360daa708aeca9928d38bf030b89e6cdc6c9fa534f9d334ae1e01573f898fc68f5e274edd2ef062f2e8da271 WHIRLPOOL f73d3faadd83f6bd05b66ce04280154eb8a2a21ed205b4194a77ba3bf305cf04a8f6b13192879371cf06e9a5366402bf5aac5a98647af3b06d078587484338cd
DIST vmware-tools-windows-10.0.6-3595377.x86_64.component.tar 90777600 SHA256 4d0682f76f7787e05a156e47c9c6ca87f3d617934a3ca0993d468f62a6d3ca59 SHA512 e51c309987f79a5f96fa4a89735e045d93ced151f14ca365eb88ffbc2fa7eaa5106945782f139afb0aed520626672e95c4bd35238dfd1257e2835268e9e8bf65 WHIRLPOOL a7e736e172e056683e20a0faec07da95f3efe6400823492a97becd6f1f931cd66721a71bf5ebf50eeea849f32b38e0e3dfccf66e3f9d10522872d618bea36381
DIST vmware-tools-windows-9.6.5-2700073.i386.component.tar 69294080 SHA256 6aba23b1bd9f7877c7fd54102f634dbf6d0d61fe2640d2e56f280395ad595f45 SHA512 fb63d93dd2ca26aeae42f27ce4b0dcda4991f10e0077a8384b8c7bbc3dbf73fa1f62f986a6c5661b70aed59e3841dc9a63b0de76c637ef62d919f9b667149dae WHIRLPOOL 8969ab16cc660b39626f40af69563bd85f40547d4656e156c4ef79221b6d71f8c9cd1b9ec6e0657f1c61f7104748cf84c356a5ff50339462f998d677a762eee5
diff --git a/app-emulation/vmware-tools/vmware-tools-10.0.10.4301679.ebuild b/app-emulation/vmware-tools/vmware-tools-10.0.10.4301679.ebuild
new file mode 100644
index 0000000..18d2b98
--- /dev/null
+++ b/app-emulation/vmware-tools/vmware-tools-10.0.10.4301679.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit versionator vmware-bundle
+
+MY_PV="$(replace_version_separator 3 - $PV)"
+BASE_URI="http://softwareupdate.vmware.com/cds/vmw-desktop/ws/12.5.2/4638234/linux/packages/"
+
+DESCRIPTION="VMware Tools for guest operating systems"
+HOMEPAGE="http://www.vmware.com/products/player/"
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="mirror"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+IUSE_VMWARE_GUEST="freebsd linux netware solaris windows winPre2k"
+
+VM_INSTALL_DIR="/opt/vmware"
+
+for guest in ${IUSE_VMWARE_GUEST} ; do
+ SRC_URI+=" vmware_guest_${guest}? (
+ amd64? ( ${BASE_URI}vmware-tools-${guest}-${MY_PV}.x86_64.component.tar )
+ )"
+ IUSE+=" vmware_guest_${guest}"
+done ; unset guest
+
+src_unpack() {
+ local arch
+ if use x86 ; then arch='i386'
+ elif use amd64 ; then arch='x86_64'
+ fi
+ local guest ; for guest in ${IUSE_VMWARE_GUEST} ; do
+ if use "vmware_guest_${guest}" ; then
+ local component="vmware-tools-${guest}-${MY_PV}.${arch}.component"
+ unpack "${component}.tar"
+ vmware-bundle_extract-component "${component}"
+ fi
+ done
+}
+
+src_install() {
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/isoimages
+ local somethingdone;
+ local guest ; for guest in ${IUSE_VMWARE_GUEST} ; do
+ if use "vmware_guest_${guest}" ; then
+ doins "${guest}".iso{,.sig}
+ somethingdone=yes
+ fi
+ done
+
+ [ -n "${somethingdone}" ] || ewarn "You should set VMWARE_GUEST in make.conf to specify which operating systems you need."
+}
diff --git a/app-emulation/vmware-workstation/Manifest b/app-emulation/vmware-workstation/Manifest
index 828cd03..160f8d4 100644
--- a/app-emulation/vmware-workstation/Manifest
+++ b/app-emulation/vmware-workstation/Manifest
@@ -1,5 +1,6 @@
DIST VMware-Workstation-11.1.3-3206955.x86_64.bundle.tar 259594240 SHA256 a8d333d6f6677eb1d70b3572e5bf8f34ebb6cb77bdee4b94d6ea8033f579ed5d SHA512 8cb4781dc388bcaeb82f19d18e0bf2608d393f18c4e255a1c89c9090954bbee5e78ebde5cec6df06d9c037ed4f0595a7a801d76b3a8e2b960f6822bbf1094d1b WHIRLPOOL 5ba631502ff4dbf0e480e932e9a21cbb06d25d68b9ac412beb41680d3d0e678c630ba692e7e52cda2399574b28698ca5deb6a6c54b4614ab752159b6036a0094
DIST VMware-Workstation-11.1.4-3848939.x86_64.bundle.tar 259563520 SHA256 3f48c42154a1b4687eb448abf7f9e15a7771977858388127df4ef78935658f3b SHA512 57aa62d53b4eae08c281959b559635e28877e7f8c5b6c0909dcec16129ae4ea130175410e698724b6164cbfb9d08f6bbf8a48f2d78471d6232868ff4bed23cca WHIRLPOOL d663a7901f153f0e6e1432b7047077b4b6bf8542926ccf0ac4ad4eeae42359096050cfe04e811fc044b45e85153eb91fddf704a43ea3de8a2cdc113cca0a6ba5
DIST VMware-Workstation-12.1.1-3770994.x86_64.bundle.tar 176445440 SHA256 a2c1888e6360245cf65fd19e86b7f74c63788e652145dc9a786aebbda0dd9e15 SHA512 55880e7aa6f7c968d82c88f36c1f406f587cccc9e25bdb9d1de1ffcfccb609811c525967bb2fefcf6375ce59f0f78d4dcc258c006b4a0db642dc3233e8fc9556 WHIRLPOOL 833eceedc1e9b7f3a0b73a039d1647faa9a5966a8a34e26c4955348092ebd9983f2f0ba2b8acb37805b339f492278916d06d68db7bb52a219126d7e78b02c469
+DIST VMware-Workstation-12.5.2-4638234.x86_64.bundle.tar 168222720 SHA256 0ee87496998725fdc208aba9112abc0d846b216a13dabba7f8d1736bee4f8ed0 SHA512 976fe1555b8c95e8af626a3d6640b9aa3b19e1b74fab6386eee9495191b3226b760089a23b96af2ea7cc6b619798bcca2e423337cc8ee5beae9efffda9bcb470 WHIRLPOOL 33c9be2207117006e99ed5b5ce1b2b737eaebea867ba41bdcbb92582a8f987a154cafb3cd320f723e21940f944c433dda3f244ecf8ba3626c612631ce1046b55
DIST vmware-systemd-gentoo-01.tgz 1884 SHA256 e92c694865f1b29f4d7a39efa1dd87bc71dc5f922573f00a3d31ee8e27a8c335 SHA512 454ab93997781bd0a9accddb2ac7bb446f07ea7cddef5640369025c30e03592e14869e0f0f7b4457db2f1ada31c98051426016c86201afa8bc8e3aa4ccc2f875 WHIRLPOOL 9202583b617532ab2612b384da307218e7c93c2962f0d233e28bea066b07163c9bc51c0a599309f9d703c5575ebeb292d787716225624dc1c2fdff3c44fa3513
DIST vmware-systemd-gentoo-02.tgz 14064 SHA256 7ab23cb41bb8fbeca43bfd3baee35928731177620ae374ebb3b19b827d1a3210 SHA512 3a382bfd5f1eb2b218d8012588ea55c1f22786dba35a1fc0fdfdb4e40b05e0e735ed09c6961684f6442e863c3ed72024ce01f19113bbd9ca47c32e3f43c55f42 WHIRLPOOL dd7ac934584894f4a0ae86a9122080c49a4d09924011bc12dc1530ac6b5ee11fac6d55d6e5b306bb24d749a509236d3e39870b4d6b2ff5de37f6e54707ff8bb6
diff --git a/app-emulation/vmware-workstation/files/vmware-12.5.rc b/app-emulation/vmware-workstation/files/vmware-12.5.rc
new file mode 100644
index 0000000..3437207
--- /dev/null
+++ b/app-emulation/vmware-workstation/files/vmware-12.5.rc
@@ -0,0 +1,44 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need localmount
+ use net
+}
+
+start() {
+ ebegin Starting VMware USB Arbitrator
+ #start-stop-daemon --start --exec @@BINDIR@@/vmware-usbarbitrator
+ @@BINDIR@@/vmware-usbarbitrator
+ eend $?
+ ebegin Starting VMware services
+
+ # quiet for vmci because it may not be there
+ modprobe -vq vmci || modprobe -v vmw_vmci
+ eend $?
+
+ # vmci or vmw_vmci was loaded by the previous modprobe
+ # no need to do it here
+ modprobe -av vmmon vsock vmblock vmnet
+ eend $?
+ @@BINDIR@@/vmware-networks --start
+ eend $?
+}
+
+stop() {
+ ebegin Stopping VMware USB Arbitrator
+ #start-stop-daemon --stop --exec @@BINDIR@@/vmware-usbarbitrator
+ killall --wait @@BINDIR@@/vmware-usbarbitrator
+ eend $?
+ @@BINDIR@@/vmware-networks --stop
+ eend $?
+ ebegin Stopping VMware services
+ modprobe -rv vsock vmmon vmblock vmnet
+ eend $?
+
+ # quiet for vmci because it may not be there
+ modprobe -rvq vmci || modprobe -rv vmw_vmci
+ eend $?
+}
diff --git a/app-emulation/vmware-workstation/files/vmware-server-12.5.rc b/app-emulation/vmware-workstation/files/vmware-server-12.5.rc
new file mode 100644
index 0000000..439949f
--- /dev/null
+++ b/app-emulation/vmware-workstation/files/vmware-server-12.5.rc
@@ -0,0 +1,55 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need localmount vmware
+ use net
+}
+
+checkconfig() {
+ # Check if certificates exist. If not, we need to generate them, ala sshd.
+ if [ ! -e @@ETCDIR@@/ssl/rui.key -o ! -e @@ETCDIR@@/ssl/rui.crt ]; then
+ mkdir -p @@ETCDIR@@/ssl
+ openssl req -x509 -days 365 -newkey rsa:2048 -keyout @@ETCDIR@@/ssl/rui.key -out @@ETCDIR@@/ssl/rui.crt -config @@ETCDIR@@/ssl/hostd.ssl.config
+ chmod -R 600 @@ETCDIR@@/ssl
+ fi
+}
+
+start() {
+ checkconfig
+
+ ebegin Starting VMware Authentication Daemon
+ start-stop-daemon --start \
+ --exec @@PREFIX@@/sbin/vmware-authdlauncher
+ eend $?
+ ebegin Starting VMware Workstation Server
+ start-stop-daemon --start \
+ --pidfile /var/run/vmware/vmware-hostd.PID \
+ --exec @@BINDIR@@/vmware-hostd \
+ -- -a -d @@ETCDIR@@/hostd/config.xml
+
+ eend $?
+}
+
+stop() {
+ ebegin "Shutdown VMs in the AutoStart Sequence"
+ local HOHO_ADMIN="$(@@BINDIR@@/vmware-wssc-adminTool "@@ETCDIR@@/hostd/authorization.xml" 2>/dev/null)"
+
+ if [ "x" != "x${HOHO_ADMIN}" ]; then
+ @@BINDIR@@/vmware-vim-cmd -U "${HOHO_ADMIN}" hostsvc/autostartmanager/autostop
+ fi
+ eend $?
+
+ ebegin Stopping VMware Workstation Server
+ start-stop-daemon --stop \
+ --pidfile /var/run/vmware/vmware-hostd.PID \
+ --exec @@BINDIR@@/vmware-hostd
+ eend $?
+ ebegin Stopping VMware Authentication Daemon
+ #start-stop-daemon --stop \
+ # --exec @@PREFIX@@/sbin/vmware-authdlauncher
+ killall @@PREFIX@@/sbin/vmware-authdlauncher
+ eend $?
+}
diff --git a/app-emulation/vmware-workstation/vmware-workstation-12.5.2.4638234.ebuild b/app-emulation/vmware-workstation/vmware-workstation-12.5.2.4638234.ebuild
new file mode 100644
index 0000000..fa77191
--- /dev/null
+++ b/app-emulation/vmware-workstation/vmware-workstation-12.5.2.4638234.ebuild
@@ -0,0 +1,599 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils versionator readme.gentoo-r1 fdo-mime gnome2-utils pam systemd vmware-bundle
+
+MY_PN="VMware-Workstation"
+MY_PV=$(get_version_component_range 1-3)
+PV_MODULES="308.$(get_version_component_range 2-3)"
+PV_BUILD=$(get_version_component_range 4)
+MY_P="${MY_PN}-${MY_PV}-${PV_BUILD}"
+
+SYSTEMD_UNITS_TAG="gentoo-02"
+
+DESCRIPTION="Emulate a complete PC without the performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/workstation/"
+BASE_URI="https://softwareupdate.vmware.com/cds/vmw-desktop/ws/${MY_PV}/${PV_BUILD}/linux/core/"
+SRC_URI="
+ amd64? ( ${BASE_URI}${MY_P}.x86_64.bundle.tar )
+ https://github.com/akhuettel/systemd-vmware/archive/${SYSTEMD_UNITS_TAG}.tar.gz -> vmware-systemd-${SYSTEMD_UNITS_TAG}.tgz
+ "
+
+LICENSE="vmware GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="bundled-libs cups doc ovftool server vix +vmware-tools"
+RESTRICT="mirror strip"
+
+BUNDLED_LIBS_DIR=/opt/vmware/lib/vmware/lib
+
+BUNDLED_LIBS="
+ libXau.so.6
+ libXcomposite.so.1
+ libXcursor.so.1
+ libXdamage.so.1
+ libXdmcp.so.6
+ libXfixes.so.3
+ libXft.so.2
+ libXinerama.so.1
+ libXrandr.so.2
+ libXrender.so.1
+ libaio.so.1
+ libatk-1.0.so.0
+ libatkmm-1.6.so.1
+ libatspi.so.0
+ libcairo.so.2
+ libcairomm-1.0.so.1
+ libcrypto.so.1.0.1
+ libcurl.so.4
+ libdbus-1.so.3
+ libfontconfig.so.1
+ libfreetype.so.6
+ libfuse.so.2
+ libgailutil.so.18
+ libgcc_s.so.1
+ libgcrypt.so.11
+ libgdk-x11-2.0.so.0
+ libgdk_pixbuf-2.0.so.0
+ libgdkmm-2.4.so.1
+ libgio-2.0.so.0
+ libgiomm-2.4.so.1
+ libglib-2.0.so.0
+ libglibmm-2.4.so.1
+ libglibmm_generate_extra_defs-2.4.so.1
+ libgmodule-2.0.so.0
+ libgobject-2.0.so.0
+ libgpg-error.so.0
+ libgthread-2.0.so.0
+ libgtk-x11-2.0.so.0
+ libgtkmm-2.4.so.1
+ libpango-1.0.so.0
+ libpangocairo-1.0.so.0
+ libpangoft2-1.0.so.0
+ libpangomm-1.4.so.1
+ libpangox-1.0.so.0
+ libpangoxft-1.0.so.0
+ libpcsclite.so.1
+ libpixman-1.so.0
+ libpng12.so.0
+ librsvg-2.so.2
+ libsigc-2.0.so.0
+ libssl.so.1.0.1
+ libstdc++.so.6
+ libxml2.so.2
+ libz.so.1
+"
+
+BUNDLED_LIB_DEPENDS="
+ dev-cpp/atkmm
+ dev-cpp/cairomm
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:2.4
+ dev-cpp/pangomm
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libgcrypt:11/11
+ dev-libs/libgpg-error
+ dev-libs/libsigc++:2
+ dev-libs/libxml2
+ dev-libs/openssl:0
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2
+ net-misc/curl
+ sys-fs/fuse
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libXau
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/pango
+ x11-libs/pixman
+"
+
+# vmware should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="
+ media-libs/alsa-lib
+ net-print/cups
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXtst
+ x11-libs/startup-notification
+ x11-themes/hicolor-icon-theme
+ bundled-libs? (
+ media-libs/tiff:3
+ x11-libs/libICE
+ x11-libs/libSM
+ virtual/jpeg:62
+ )
+ !bundled-libs? ( ${BUNDLED_LIB_DEPENDS} )
+ !app-emulation/vmware-player
+"
+PDEPEND="~app-emulation/vmware-modules-${PV_MODULES}
+ vmware-tools? ( app-emulation/vmware-tools )"
+DEPEND=">=dev-util/patchelf-0.9"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+VM_DATA_STORE_DIR="/var/lib/vmware/Shared VMs"
+VM_HOSTD_USER="root"
+
+QA_PREBUILT="/opt/*"
+
+QA_WX_LOAD="opt/vmware/lib/vmware/tools-upgraders/vmware-tools-upgrader-32 opt/vmware/lib/vmware/bin/vmware-vmx-stats opt/vmware/lib/vmware/bin/vmware-vmx-debug opt/vmware/lib/vmware/bin/vmware-vmx"
+
+src_unpack() {
+ default
+ local bundle=${MY_P}.x86_64.bundle
+
+ local component; for component in \
+ vmware-workstation \
+ vmware-player-app \
+ vmware-player-setup \
+ vmware-vmx \
+ vmware-network-editor \
+ vmware-network-editor-ui \
+ vmware-usbarbitrator \
+ vmware-vprobe
+ do
+ vmware-bundle_extract-bundle-component "${bundle}" "${component}" "${S}"
+ done
+
+ if use ovftool; then
+ vmware-bundle_extract-bundle-component "${bundle}" vmware-ovftool
+ fi
+
+ if use server; then
+ vmware-bundle_extract-bundle-component "${bundle}" vmware-workstation-server #"${S}"
+ fi
+
+ if use vix; then
+ vmware-bundle_extract-bundle-component "${bundle}" vmware-vix-core vmware-vix
+ vmware-bundle_extract-bundle-component "${bundle}" vmware-vix-lib-Workstation1200 vmware-vix
+ fi
+}
+
+clean_bundled_libs() {
+ if ! use bundled-libs ; then
+ einfo "Removing bundled libraries"
+ for libname in ${BUNDLED_LIBS} ; do
+ rm -rv "${S}"/lib/lib/${libname} || die "Failed removing bundled ${libname}"
+ done
+
+ rm -rv "${S}"/lib/libconf || die "Failed removing bundled gtk conf libs"
+
+ # Among the bundled libs there are libcrypto.so.1.0.1 and libssl.so.1.0.1
+ # (needed by libcds.so) which seem to be compiled from openssl-1.0.1h.
+ # Upstream real sonames are *so.1.0.0 so it's necessary to fix DT_NEEDED link
+ # in libcds.so to be able to use system libs.
+ pushd >/dev/null .
+ einfo "Patching libcds.so"
+ cd "${S}"/lib/lib/libcds.so || die
+ patchelf --replace-needed libssl.so.1.0.{1,0} \
+ --replace-needed libcrypto.so.1.0.{1,0} \
+ libcds.so || die
+ popd >/dev/null
+
+ # vmware-workstation seems to use a custom version of libgksu2.so, for this reason
+ # we leave the bundled version. The libvmware-gksu.so library declares simply DT_NEEDED
+ # libgksu2.so.0 but it uses at runtime the bundled version, patch the lib to avoid portage
+ # preserve-libs mechanism to be triggered when a system lib is available (but not required)
+ pushd >/dev/null .
+ einfo "Patching libvmware-gksu.so"
+ cd "${S}"/lib/lib/libvmware-gksu.so || die
+ patchelf --set-rpath "\$ORIGIN/../libgksu2.so.0" \
+ libvmware-gksu.so || die
+ popd >/dev/null
+ else
+ # if librsvg is not installed in the system then vmware doesn't start
+ pushd >/dev/null .
+ einfo "Patching svg_loader.so"
+ cd "${S}"/lib/libconf/lib/gtk-2.0/2.10.0/loaders || die
+ patchelf --set-rpath "\$ORIGIN/../../../../../lib/librsvg-2.so.2" \
+ svg_loader.so || die
+ popd >/dev/null
+ fi
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+ # Bug 459566
+ mv lib/libvmware-netcfg.so lib/lib/
+
+ if use server; then
+ rm -f vmware-workstation-server/bin/{openssl,configure-hostd.sh}
+ fi
+
+ clean_bundled_libs
+
+ DOC_CONTENTS="
+/etc/env.d is updated during ${PN} installation. Please run:\n
+env-update && source /etc/profile\n
+Before you can use ${PN}, you must configure a default network setup.
+You can do this by running 'emerge --config ${PN}'.\n
+To be able to run ${PN} your user must be in the vmware group.\n
+You MUST set USE=bundled-libs if you are running gcc-5, otherwise vmware will not start.
+"
+}
+
+src_install() {
+ local major_minor=$(get_version_component_range 1-2 "${PV}")
+
+ # revdep-rebuild entry
+ insinto /etc/revdep-rebuild
+ echo "SEARCH_DIRS_MASK=\"${VM_INSTALL_DIR}\"" >> ${T}/10${PN}
+ doins "${T}"/10${PN}
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # workaround for hardcoded search paths needed during shared objects loading
+ if ! use bundled-libs ; then
+ dosym /usr/$(get_libdir)/libglib-2.0.so.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libglib-2.0.so.0/libglib-2.0.so.0
+ # Bug 432918
+ dosym /usr/$(get_libdir)/libcrypto.so.1.0.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libcrypto.so.1.0.1/libcrypto.so.1.0.1
+ dosym /usr/$(get_libdir)/libssl.so.1.0.0 \
+ "${VM_INSTALL_DIR}"/lib/vmware/lib/libssl.so.1.0.1/libssl.so.1.0.1
+ fi
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ if use cups; then
+ exeinto $(cups-config --serverbin)/filter
+ doexe extras/thnucups
+
+ insinto /etc/cups
+ doins -r etc/cups/*
+ fi
+
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ exeinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doexe vmware-config
+
+ # install vmware workstation server
+ if use server; then
+ dosbin sbin/*
+
+ cd "${S}"/vmware-workstation-server
+
+ # install binaries
+ into "${VM_INSTALL_DIR}"/lib/vmware
+ dobin bin/*
+
+ dobin "${FILESDIR}"/configure-hostd.sh
+
+ dobin "${FILESDIR}"/configure-hostd.sh
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/lib
+ doins -r lib/*
+
+ into "${VM_INSTALL_DIR}"
+ for tool in vmware-hostd wssc-adminTool ; do
+ cat > "${T}/${tool}" <<-EOF
+ #!/usr/bin/env bash
+ set -e
+
+ . /etc/vmware/bootstrap
+
+ exec "${VM_INSTALL_DIR}/lib/vmware/lib/wrapper-gtk24.sh" \\
+ "${VM_INSTALL_DIR}/lib/vmware/lib" \\
+ "${VM_INSTALL_DIR}/lib/vmware/bin/${tool}" \\
+ "${VM_INSTALL_DIR}/lib/vmware/libconf" "\$@"
+ EOF
+ dobin "${T}/${tool}"
+ done
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r hostd
+
+ # create the configuration
+ insinto /etc/vmware/hostd
+ doins -r config/etc/vmware/hostd/*
+ doins -r etc/vmware/hostd/*
+
+ insinto /etc/vmware/ssl
+ doins etc/vmware/ssl/*
+
+ # pam
+ pamd_mimic_system vmware-authd auth account
+
+ # create directory for shared virtual machines.
+ keepdir "${VM_DATA_STORE_DIR}"
+ keepdir /var/log/vmware
+ fi
+
+ # install vmware-vix
+ if use vix; then
+ cd "${S}"/vmware-vix
+
+ # install the binary
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-vix
+ doins -r lib/*
+
+ dosym vmware-vix/libvixAllProducts.so "${VM_INSTALL_DIR}"/lib/libbvixAllProducts.so
+
+ # install headers
+ insinto /usr/include/vmware-vix
+ doins include/*
+
+ if use doc; then
+ dohtml -r doc/*
+ fi
+ fi
+
+ # install ovftool
+ if use ovftool; then
+ cd "${S}"
+
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-ovftool
+ doins -r vmware-ovftool/*
+
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/{ovftool,ovftool.bin}
+ dosym "${D}${VM_INSTALL_DIR}"/lib/vmware-ovftool/ovftool "${VM_INSTALL_DIR}"/bin/ovftool
+ fi
+
+ # create symlinks for the various tools
+ local tool ; for tool in thnuclnt vmware vmplayer{,-daemon} licenseTool vmamqpd \
+ vmware-{acetool,enter-serial,gksu,fuseUI,modconfig{,-console},netcfg,tray,zenity} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/icu /etc/vmware/icu
+
+ # fix permissions
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{appLoader,fusermount,launcher.sh,mkisofs,vmware-remotemks}
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/wrapper-gtk24.sh
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/libgksu2.so.0/gksu-run-helper
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/setup/vmware-config
+ fperms 4711 "${VM_INSTALL_DIR}"/bin/vmware-mount
+ fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
+ if use server; then
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/bin/{vmware-hostd,wssc-adminTool}
+ fperms 4711 "${VM_INSTALL_DIR}"/sbin/vmware-authd
+ fperms 1777 "${VM_DATA_STORE_DIR}"
+ fi
+ if use vix; then
+ fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware-vix/setup/vmware-config
+ fi
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ use bundled-libs && echo 'VMWARE_USE_SHIPPED_LIBS=1' >> "${envd}"
+
+ doenvd "${envd}"
+
+ # create the configuration
+ dodir /etc/vmware
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${MY_PV}"
+ product.buildNumber = "${PV_BUILD}"
+ product.version = "${MY_PV}"
+ product.name = "VMware Workstation"
+ workstation.product.version = "${MY_PV}"
+ EOF
+
+ if use vix; then
+ cat >> "${D}"/etc/vmware/config <<-EOF
+ vmware.fullpath = "${VM_INSTALL_DIR}/bin/vmware"
+ vix.libdir = "${VM_INSTALL_DIR}/lib/vmware-vix"
+ vix.config.version = "1"
+ EOF
+ fi
+
+ if use server; then
+ cat >> "${D}"/etc/vmware/config <<-EOF
+ authd.client.port = "902"
+ authd.proxy.nfc = "vmware-hostd:ha-nfc"
+ authd.soapserver = "TRUE"
+ EOF
+ fi
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-${major_minor}.rc" > "${initscript}" || die
+ newinitd "${initscript}" vmware
+
+ if use server; then
+ # install the init.d script
+ local initscript="${T}/vmware-workstation-server.rc"
+ sed -e "s:@@ETCDIR@@:/etc/vmware:g" \
+ -e "s:@@PREFIX@@:${VM_INSTALL_DIR}:g" \
+ -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ -e "s:@@LIBDIR@@:${VM_INSTALL_DIR}/lib/vmware:g" \
+ "${FILESDIR}/vmware-server-${major_minor}.rc" > ${initscript} || die
+ newinitd "${initscript}" vmware-workstation-server
+ fi
+
+ # fill in variable placeholders
+ if use bundled-libs ; then
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}} || die
+ fi
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -e "/^Encoding/d" \
+ -i "${D}/usr/share/applications/vmware-player.desktop" || die
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware:g" \
+ -e "/^Encoding/d" \
+ -i "${D}/usr/share/applications/vmware-workstation.desktop" || die
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware-netcfg:g" \
+ -e "/^Encoding/d" \
+ -i "${D}/usr/share/applications/vmware-netcfg.desktop" || die
+
+ if use server; then
+ # Configuration for vmware-workstation-server
+ local hostdUser="${VM_HOSTD_USER:-root}"
+ sed -e "/ACEDataUser/s:root:${hostdUser}:g" \
+ -i "${D}/etc/vmware/hostd/authorization.xml" || die
+
+ # Shared VMs Path: [standard].
+ sed -e "s:##{DS_NAME}##:standard:g" \
+ -e "s:##{DS_PATH}##:${VM_DATA_STORE_DIR}:g" \
+ -i "${D}/etc/vmware/hostd/datastores.xml" || die
+
+ sed -e "s:##{HTTP_PORT}##:-1:g" \
+ -e "s:##{HTTPS_PORT}##:443:g" \
+ -e "s:##{PIPE_PREFIX}##:/var/run/vmware/:g" \
+ -i "${D}/etc/vmware/hostd/proxy.xml" || die
+
+ # See vmware-workstation-server.py for more details.
+ sed -e "s:##{BUILD_CFGDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{CFGALTDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{CFGDIR}##:/etc/vmware/:g" \
+ -e "s:##{ENABLE_AUTH}##:true:g" \
+ -e "s:##{HOSTDMODE}##:ws:g" \
+ -e "s:##{HOSTD_CFGDIR}##:/etc/vmware/hostd/:g" \
+ -e "s:##{HOSTD_MOCKUP}##:false:g" \
+ -e "s:##{LIBDIR}##:${VM_INSTALL_DIR}/lib/vmware:g" \
+ -e "s:##{LIBDIR_INSTALLED}##:${VM_INSTALL_DIR}/lib/vmware/:g" \
+ -e "s:##{LOGDIR}##:/var/log/vmware/:g" \
+ -e "s:##{LOGLEVEL}##:verbose:g" \
+ -e "s:##{MOCKUP}##:mockup-host-config.xml:g" \
+ -e "s:##{PLUGINDIR}##:./:g" \
+ -e "s:##{SHLIB_PREFIX}##:lib:g" \
+ -e "s:##{SHLIB_SUFFIX}##:.so:g" \
+ -e "s:##{USE_BLKLISTSVC}##:false:g" \
+ -e "s:##{USE_CBRCSVC}##:false:g" \
+ -e "s:##{USE_CIMSVC}##:false:g" \
+ -e "s:##{USE_DIRECTORYSVC}##:false:g" \
+ -e "s:##{USE_DIRECTORYSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_DYNAMIC_PLUGIN_LOADING}##:false:g" \
+ -e "s:##{USE_DYNAMO}##:false:g" \
+ -e "s:##{USE_DYNSVC}##:false:g" \
+ -e "s:##{USE_GUESTSVC}##:false:g" \
+ -e "s:##{USE_HBRSVC}##:false:g" \
+ -e "s:##{USE_HBRSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_HOSTSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_HTTPNFCSVC}##:false:g" \
+ -e "s:##{USE_HTTPNFCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_LICENSESVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_NFCSVC}##:true:g" \
+ -e "s:##{USE_NFCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_OVFMGRSVC}##:true:g" \
+ -e "s:##{USE_PARTITIONSVC}##:false:g" \
+ -e "s:##{USE_SECURESOAP}##:false:g" \
+ -e "s:##{USE_SNMPSVC}##:false:g" \
+ -e "s:##{USE_SOLO_MOCKUP}##:false:g" \
+ -e "s:##{USE_STATSSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VCSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VDISKSVC}##:false:g" \
+ -e "s:##{USE_VDISKSVC_MOCKUP}##:false:g" \
+ -e "s:##{USE_VMSVC_MOCKUP}##:false:g" \
+ -e "s:##{VM_INVENTORY}##:vmInventory.xml:g" \
+ -e "s:##{VM_RESOURCES}##:vmResources.xml:g" \
+ -e "s:##{WEBSERVER_PORT_ENTRY}##::g" \
+ -e "s:##{WORKINGDIR}##:./:g" \
+ -i "${D}/etc/vmware/hostd/config.xml" || die
+
+ sed -e "s:##{ENV_LOCATION}##:/etc/vmware/hostd/env/:g" \
+ -i "${D}/etc/vmware/hostd/environments.xml" || die
+
+ # @@VICLIENT_URL@@=XXX
+ sed -e "s:@@AUTHD_PORT@@:902:g" \
+ -i "${D}${VM_INSTALL_DIR}/lib/vmware/hostd/docroot/client/clients.xml" || die
+ fi
+
+ # install systemd unit files
+ systemd_dounit "${WORKDIR}/systemd-vmware-${SYSTEMD_UNITS_TAG}/"*.{service,target}
+
+ readme.gentoo_create_doc
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+ readme.gentoo_print_elog
+
+ ewarn "${P} is using an old version of libgcrypt library which"
+ ewarn "is going to be soon removed from portage due to security reasons"
+ ewarn "(see https://bugs.gentoo.org/show_bug.cgi?id=541564)."
+ ewarn "Until vmware is fixed upstream you're exposed to security issues!"
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}